/* Copyright (C) 2015 Open Information Security Foundation
 *
 * You can copy, redistribute or modify this Program under the terms of
 * the GNU General Public License version 2 as published by the Free
 * Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * version 2 along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

/**
 * \file
 *
 * \author Pierre Chifflier <chifflier@wzdftpd.net>
 *
 * Parser for IKEv2 application layer running on UDP port 500.
 */

#include "suricata-common.h"
#include "stream.h"
#include "conf.h"

#include "util-unittest.h"

#include "app-layer-detect-proto.h"
#include "app-layer-parser.h"

#include "app-layer-ikev2.h"

#ifdef HAVE_RUST

#include "rust-ikev2-ikev2-gen.h"

void RegisterIKEV2Parsers(void)
{
    rs_register_ikev2_parser();

#ifdef UNITTESTS
    AppLayerParserRegisterProtocolUnittests(IPPROTO_UDP, ALPROTO_IKEV2,
        IKEV2ParserRegisterTests);
#endif
}

#ifdef UNITTESTS
#endif

void IKEV2ParserRegisterTests(void)
{
#ifdef UNITTESTS
#endif
}

#else /* HAVE_RUST */

void RegisterIKEV2Parsers(void)
{
}

#endif /* HAVE_RUST */
